<template>
  <q-page padding>
    <q-btn color="orange" style="margin-bottom: 10px" label="Kembali" icon="arrow_left" />
    <q-card style="max-width: 350px" v-if="currentUser">
      <q-list separator bordered>
        <q-item clickable v-ripple>
          <q-item-section>
            <q-item-label caption>Nama</q-item-label>
            <q-item-label>{{ currentUser.name }}</q-item-label>
          </q-item-section>
        </q-item>
        <q-item clickable v-ripple>
          <q-item-section>
            <q-item-label caption>Email</q-item-label>
            <q-item-label>{{ currentUser.email }}</q-item-label>
          </q-item-section>
        </q-item>
        <q-item>
          <q-item-section>
            <q-item-label caption>Role</q-item-label>
            <q-item-label>
              <q-form @submit="doSubmit">
                <q-select
                  filled
                  v-model="currentUser.jenis_user"
                  :options="optionsRole"
                  label="Standard"
                  emit-value
                  map-options
                />
                <q-btn type="submit" color="primary" class="full-width">Update</q-btn>
              </q-form>
            </q-item-label>
          </q-item-section>
        </q-item>
      </q-list>
    </q-card>
  </q-page>
</template>

<script>
export default {
  name: 'RoleUser',
  data () {
    return {
      currentUser: null,
      optionsRole: [
        { label: "User", value: 0 },
        { label: "Administrator", value: 1 },
        { label: "Provider", value: 2 },
        { label: "Supervisor", value: 3 },
      ],
      role: null
    }
  },
  beforeMount() {
    this.getUser()
  },
  methods: {
    getUser() {
      this.$q.loading.show()
      this.$axios.get("api/user/get/" + this.$route.params.id)
      .then(sukses => {
        this.$q.loading.hide()
        this.currentUser = sukses.data.success
      })
    },
    doSubmit() {
      this.$q.loading.show()
      let data = new FormData;
      data.append("user_id", this.currentUser.id)
      data.append("jenis_user", this.currentUser.jenis_user)
      this.$axios.post("api/assign-role", data)
      .then(sukses => {
        this.$q.loading.hide()
        this.$router.push("/user")
      })
    }
  }
}
</script>
